summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJason Wray <jason@mapbox.com>2019-01-28 15:55:15 -0800
committerJason Wray <jason@mapbox.com>2019-01-28 16:44:26 -0800
commitc3ca73c756095becff5bd7a9ed2144f378634b7f (patch)
tree379625af3a2857499d497688595e0cf70471e565
parentb53ea9b487394c915ea1fcd17f6e10f2378a3d43 (diff)
downloadqtlocation-mapboxgl-upstream/friedbunny-updates-jazzy-to-0.9.5.tar.gz
[build, ios] Update jazzy to 0.9.5upstream/friedbunny-updates-jazzy-to-0.9.5
-rw-r--r--circle.yml9
-rwxr-xr-xplatform/ios/scripts/document.sh18
-rwxr-xr-xplatform/ios/scripts/install-packaging-dependencies.sh29
3 files changed, 35 insertions, 21 deletions
diff --git a/circle.yml b/circle.yml
index 473739d58b..583381d32b 100644
--- a/circle.yml
+++ b/circle.yml
@@ -331,15 +331,14 @@ commands:
steps:
- run:
name: Install iOS packaging dependencies
- command: brew install awscli wget
+ command: ./platform/ios/scripts/install-packaging-dependencies.sh
background: true
install-macos-dependencies:
steps:
- run:
name: Install macOS dependencies
- command: |
- brew install cmake ccache
+ command: brew install cmake ccache
install-node-macos-dependencies:
steps:
@@ -939,8 +938,8 @@ jobs:
SLACK_CHANNEL: C0ACM9Q2C
steps:
- install-macos-dependencies
- - install-ios-packaging-dependencies
- install-dependencies
+ - install-ios-packaging-dependencies
- run:
name: Build dynamic framework for device and simulator
command: make iframework
@@ -975,8 +974,8 @@ jobs:
export SLACK_MESSAGE="<$CIRCLE_BUILD_URL|Release build for \`$CIRCLE_TAG\` started.>"
scripts/notify-slack.sh
- install-macos-dependencies
- - install-ios-packaging-dependencies
- install-dependencies
+ - install-ios-packaging-dependencies
- run:
name: Build, package, and upload iOS release
command: |
diff --git a/platform/ios/scripts/document.sh b/platform/ios/scripts/document.sh
index 17fa08bdcd..cf6d71a9f0 100755
--- a/platform/ios/scripts/document.sh
+++ b/platform/ios/scripts/document.sh
@@ -1,27 +1,13 @@
#!/usr/bin/env bash
-set -e
-set -o pipefail
-set -u
+set -euo pipefail
function step { >&2 echo -e "\033[1m\033[36m* $@\033[0m"; }
function finish { >&2 echo -en "\033[0m"; }
trap finish EXIT
if [ -z `which jazzy` ]; then
- step "Installing jazzy…"
-
- CIRCLECI=${CIRCLECI:-false}
- if [[ "${CIRCLECI}" == true ]]; then
- sudo gem install jazzy -v 0.9.4 --no-document
- else
- gem install jazzy -v 0.9.4 --no-document
- fi
-
- if [ -z `which jazzy` ]; then
- echo "Unable to install jazzy. See https://github.com/mapbox/mapbox-gl-native/blob/master/platform/ios/INSTALL.md"
- exit 1
- fi
+ ./platform/ios/scripts/install-packaging-dependencies.sh
fi
OUTPUT=${OUTPUT:-documentation}
diff --git a/platform/ios/scripts/install-packaging-dependencies.sh b/platform/ios/scripts/install-packaging-dependencies.sh
new file mode 100755
index 0000000000..32a8ed64d1
--- /dev/null
+++ b/platform/ios/scripts/install-packaging-dependencies.sh
@@ -0,0 +1,29 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+JAZZY_VERSION="0.9.5"
+
+function step { >&2 echo -e "\033[1m\033[36m* $@\033[0m"; }
+function finish { >&2 echo -en "\033[0m"; }
+trap finish EXIT
+
+step "Installing packaging dependencies…"
+brew install awscli wget
+
+if [ -z `which jazzy` ]; then
+ step "Installing jazzy…"
+
+ CIRCLECI=${CIRCLECI:-false}
+ if [[ "${CIRCLECI}" == true ]]; then
+ sudo gem install sqlite3 -- --with-sqlite3-lib=/usr/lib
+ sudo gem install jazzy -v $JAZZY_VERSION --no-document
+ else
+ gem install jazzy -v $JAZZY_VERSION --no-document
+ fi
+
+ if [ -z `which jazzy` ]; then
+ echo "Unable to install jazzy ($JAZZY_VERSION). See https://github.com/mapbox/mapbox-gl-native/blob/master/platform/ios/INSTALL.md"
+ exit 1
+ fi
+fi